* * *

Author Topic: Leakview component broken on Linux?  (Read 658 times)

Nimral

  • Jr. Member
  • **
  • Posts: 78
Leakview component broken on Linux?
« on: February 06, 2017, 07:25:48 pm »
Hi guys,

after working with Lazarus on Windows a while I decided it was time to give the multi-platform capabilities a try. It took me half a day to stitch together all parts on a Mac (OS: 10.8 Mountain Lion, got some difficulties installing gdb (needs a certificate to run)), but finally I got Lazarus up and running. Then I turned my attention to Linux, had a quite updated Linux Mint "Petra" version around, thought this should do for some first steps.

After updating Mint to latest, I used the apt-get commands described in the wiki to get the latest Lazarus (1.0.10+dfsg-1), the lazarus sources and all the additional stuff. I finally got everything running, except for the leakview component. Like others have experienced too, the package does somwhow miss to download the leakview.lpk file. I downloaded it from http://svn.freepascal.org/svn/lazarus/trunk/components/leakview/, and tried to re-build Lazarus "normal IDE".

Now the build process does not miss the lpk file any more, instead it complains (translated from German ...)

Unable to read Project-Info file
"/etc/alternatives/lazarus/components/leakview/leakview.pas"
In 'stream:' (line 1 pos 1): Illegal at document level

Well, this is odd, the file is there and looks perfect, but AFAIK a .pas file is not quite a .lpi file, that's probably what the message tries to express. But there isn't a lpi file included in the svn sources as well. I did also have a look into the Windows version, no lpi file there as well, nevertheless leakview installed without hassles on Windows and has prooven to be extremely useful, I'd like to have it on Linux too.

Anyone who has an idea what's going wrong on my Linux box or with the leakview package?

Thx

Armin.
« Last Edit: February 06, 2017, 07:28:39 pm by Nimral »
Using Lazarus 1.6.2 on Windows 10/7/XP, VMWare Workstation 12

JuhaManninen

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2965
  • I like bugs.
Re: Leakview component broken on Linux?
« Reply #1 on: February 06, 2017, 08:20:50 pm »
Mint is a poor choice for Lazarus development when you want to use the distro's own packages.
I remember many people reported about problems.
Either use the packages provided by Lazarus project or switch to a distro with valid recent packages.
Rolling distributions like Manjaro are nice because they have the latest released version always.

Windsurfer

  • Sr. Member
  • ****
  • Posts: 306
    • Windsurfer
Re: Leakview component broken on Linux?
« Reply #2 on: February 06, 2017, 08:25:30 pm »
I agree that Linux Mint has problems. However, fpcupdeluxe works well for me on Mint 18.1 Cinnamon.

Nimral

  • Jr. Member
  • **
  • Posts: 78
Re: Leakview component broken on Linux?
« Reply #3 on: February 07, 2017, 11:50:17 am »
Hm, OK, we'll see. I'll do a fresh install with Mint 18.1 "Serena", and see back to you in case I run into issues.

Armin.
Using Lazarus 1.6.2 on Windows 10/7/XP, VMWare Workstation 12

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus